﻿<%@ Page Language="C#" AutoEventWireup="true" Codebehind="Authorize_agent.aspx.cs"  Inherits="sakq.aspx.sys.Authorize_agent" %>
<%@ Register TagPrefix="uc1" TagName="Pager" Src="../../modules/Pager.ascx" %>

<html>
<head id="Head1" runat="server">
    <title>无标题页</title>
    <meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
    <meta content="C#" name="CODE_LANGUAGE">
    <meta content="JavaScript" name="vs_defaultClientScript">
    <meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
    
    <link href="../../css/style.css" type="text/css" rel="stylesheet">
    <script language="javascript" src="../../js/calendar.js" type="text/javascript"></script>
    <script language="JavaScript" src="../../js/common.js" type="text/javascript"></script>

    <style>.sys_button1 { BORDER-RIGHT: #9595a9 1px solid; BORDER-TOP: #9595a9 1px solid; FONT-SIZE: 9pt; BACKGROUND: url(../../App_Image/sys/button_gray.jpg) fixed repeat-x center center; BORDER-LEFT: #9595a9 1px solid; CURSOR: hand; COLOR: black; PADDING-TOP: 2px; BORDER-BOTTOM: #9595a9 1px solid; FONT-FAMILY: "宋体"; HEIGHT: 22px; TEXT-ALIGN: center }
	</style>
</head>
<body>
    <form id="form1" runat="server">
        <br>
        <table id="Table2" align="center" border="0" cellpadding="0" cellspacing="0" width="95%">
            <tr>
                <td align="center">
                    <table id="tab" border="0" cellpadding="0" cellspacing="0" class="sys_grid" width="100%">
                        <tr>
                            <td align="left" class="sys_head_cell" colspan="3" valign="middle">
                                <img align="absMiddle" src="../../Image/search.gif" />
                                <asp:Label ID="Label1" runat="server" Font-Bold="True" Font-Size="10pt">审批代理人</asp:Label>&nbsp;
                            </td>
                        </tr>
                        <tr >
                            <td colspan="0" height="30" rowspan="0" valign="middle" width="100%" align="left">
                                &nbsp;<font face="宋体"> 
                                    <asp:Label ID="Label2" runat="server" Text="Label">查询条件</asp:Label>
                                    <asp:DropDownList ID="ddl_tj" runat="server">
                                        <asp:ListItem Value="p.per_id">员工号</asp:ListItem>
                                        <asp:ListItem Value="p.per_name">用户姓名</asp:ListItem>
                                        <asp:ListItem Value="d.dept_name">部门</asp:ListItem>
                                    </asp:DropDownList><asp:TextBox ID="tb_value" runat="server" Width="104px"></asp:TextBox><asp:Button
                                        ID="btnSearch" runat="server" Text="查 询" CssClass="sys_button" OnClick="btnSearch_Click">
                                    </asp:Button>&nbsp;<asp:Button ID="btn_add" runat="server" CssClass="sys_button"
                                        OnClick="btn_add_Click" Text="添加代理人" />
                                    <asp:Button ID="btn_del" runat="server" CssClass="sys_button"
                                        Text="取消代理人" OnClick="btn_del_Click" OnClientClick="javascript:if (confirm('确定要删除吗？')) return chkSelected();else return false;" /></font></td>
                        </tr>
                    </table>
                    <asp:GridView ID="gv_groupuser" runat="server" Width="100%" AutoGenerateColumns="False"
                        CssClass="sys_grid" AllowSorting="True" UseAccessibleHeader="False" AllowPaging="True" OnSorting="gv_groupuser_Sorting" OnRowDataBound="gv_groupuser_RowDataBound">
                        <Columns>
                            <asp:TemplateField HeaderText="选">
                                <ItemStyle HorizontalAlign="Center" Width="40px" />
                                <ItemTemplate>
                                    <input id="hdid" name="hdid" style="width: 47px" type="hidden" value='<%#DataBinder.Eval(Container.DataItem,"id") %>' />
                                    <asp:CheckBox ID="chkSelect" runat="server" />
                                </ItemTemplate>
                                <HeaderTemplate>
                                    <input onclick="chkSelectAllClick(this);" type="checkbox">
                                </HeaderTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="per_id" HeaderText="工号" SortExpression="per_id" />
                            <asp:BoundField DataField="per_name" HeaderText="代理人" SortExpression="per_name" />
                            <asp:BoundField DataField="authorized_name" HeaderText="授权人" SortExpression="authorized_name" />
                            <asp:BoundField DataField="dept_name" HeaderText="部门" SortExpression="dept_name" />
                            <asp:BoundField DataField="s_date" HeaderText="起始日期" SortExpression="s_date" DataFormatString="{0:yyyy-MM-dd}" HtmlEncode="False"/>
                            <asp:BoundField DataField="e_date" HeaderText="失效日期" SortExpression="e_date" DataFormatString="{0:yyyy-MM-dd}" HtmlEncode="False"/>
                        </Columns>
                        <HeaderStyle CssClass="sys_grid_head_cell" HorizontalAlign="Center" />
                        <PagerSettings Visible="False" />
                        <RowStyle Height="25px" HorizontalAlign="Center" />
                    </asp:GridView>
                    <uc1:Pager ID="Pager1" runat="server"></uc1:Pager>
                    <input id="tbhSelectID" style="width: 13px; height: 15px" type="hidden" name="tbhSelectID"  runat="server" />
                    <input id="hd" style="width: 13px; height: 15px" type="hidden" name="hd"  runat="server" /></td>
            </tr>
        </table>
    </form>

    <script language="javascript">
    	   function chkSelectAllClick(obj)
	        {
		        var dg = document.getElementById("gv_groupuser");
		        for(i=2;i<=dg.rows.length;i++)
		        {
			        var check=document.getElementById("gv_groupuser__ctl"+ i +"_chkSelect");
			        check.checked=obj.checked;
		        }
	        }

  	        function chkSelected()
	        {
		        var bRet = false;
		        var dg = document.getElementById("gv_groupuser");
		        var stemp="";
		        document.getElementById("tbhSelectID").value="";
		        for(var i=2; i<=dg.rows.length; i++)
		        {
			        var check=document.getElementById("gv_groupuser__ctl"+ i +"_chkSelect");
		            if(check!=null && check.checked == true)
			        {
			            if (stemp=="") 
			            {
			               stemp="'"+dg.rows[i-1].cells[0].children[0].value+"'";
			            }
			            else
			            {
			               stemp+=",'"+dg.rows[i-1].cells[0].children[0].value+"'";
			            }
			            bRet = true;					
			        }
		        }
        		document.getElementById("tbhSelectID").value=stemp;
		        if(!bRet)
		        {
			        alert("请选择人员！");
		        }
		        return bRet;
	        }
    </script>

    <script language="javascript">
       var s='<%=url%>';
       if (s!='') 
       { 
             var　returnTarget=window.showModalDialog('<%=url%>','','dialogWidth:600px;dialogHeight:450px;help:no;status:no;dialogHide:yes;scrollbars:no;center:yes');
             s=''; 
             window.location="authorize_agent.aspx";
       }    
    </script>

</body>
</html>
